MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003035VCMIAI - Adventure Mappublic2019-02-12 13:242019-02-16 07:51
ReporterDydzio 
Assigned ToNullkiller 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoft WindowsOSWindows 7OS VersionHome Premium x64
Product Version0.next 
Target Version0.nextFixed in Version 
Summary0003035: AI pathfinder generating goal that cannot be realized
DescriptionThis happens with newest VCMI code (after https://github.com/vcmi/vcmi/pull/548 [^] merge):

In attached map AI will not capture town and heroes will stand in one place infinitely, because ai-ah->HowToVisitObj inside GatherArmy::getAllPossibleSubgoals() will generate VisitTile goal that requires beating the army that is supposed to be reason why we gather army in first place. That goal gets picked as best goal while it should not appear at all considering it's impossible to realize.
Steps To Reproduce1.Run attached map
2.Enable vcmieagles cheat for player only
3.See how AI gets stuck after GatherArmy decomposition
Additional InformationI guess this could be fixed by filtering generated goals inside GatherArmy but proper solution would be fixing pathfinder logic.
TagsNo tags attached.
Attached Files? file icon vcmiaistacksplit_v1.h3m [^] (8,615 bytes) 2019-02-12 13:24

- Relationships

-  Notes
(0007749)
Dydzio (developer)
2019-02-14 13:48

For now bug won't appear with https://github.com/vcmi/vcmi/pull/551 [^] merged. Proper fix is inside https://github.com/vcmi/vcmi/pull/546 [^] (unified danger evaluation logic so there won't be deviation in danger determined by pathfinder and VisitTile internals).

- Issue History
Date Modified Username Field Change
2019-02-12 13:24 Dydzio New Issue
2019-02-12 13:24 Dydzio Status new => assigned
2019-02-12 13:24 Dydzio Assigned To => Nullkiller
2019-02-12 13:24 Dydzio File Added: vcmiaistacksplit_v1.h3m
2019-02-14 13:48 Dydzio Note Added: 0007749
2019-02-16 07:51 Nullkiller Status assigned => resolved
2019-02-16 07:51 Nullkiller Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean